### Function

# GObject type_default_interface_get

since: 2.84

#### Declaration [src]

    GObjectTypeInterface*
    g_type_default_interface_get (
      GType g_type
    )

#### Description [src]

Returns the default interface vtable for the given `g_type`.

If the type is not currently in use, then the default vtable for the type will be created and initialized by calling the base interface init and default vtable init functions for the type (the `base_init` and `class_init` members of `GTypeInfo`).

If you don’t want to create the interface vtable, you should use `g_type_default_interface_peek()` instead.

Calling `g_type_default_interface_get()` is useful when you want to make sure that signals and properties for an interface have been installed.

Available since: 2.84

#### Parameters

`g_type`

  Type: `GType`

  An interface type.

#### Return value

Type: `GTypeInterface`

The default vtable for the interface.

The data is owned by the called function.